App Service Plans - List Metric Defintions
Get metrics that can be queried for an App Service plan, and their definitions.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Web/serverfarms/{name}/metricdefinitions?api-version=2018-02-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
name
|
path | True |
string |
Name of the App Service plan. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 pattern: ^[-\w\._\(\)]+[^\.]$ |
Name of the resource group to which the resource belongs. |
|
subscription
|
path | True |
string |
Your Azure subscription ID. This is a GUID-formatted string (e.g. 00000000-0000-0000-0000-000000000000). |
|
api-version
|
query | True |
string |
API Version |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK |
|
| Other Status Codes |
App Service error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Definitions
| Name | Description |
|---|---|
|
Default |
App Service error response. |
| Details | |
| Error |
Error model. |
|
Resource |
Metrics availability and retention. |
|
Resource |
Metadata for the metrics. |
|
Resource |
Collection of metric definitions. |
DefaultErrorResponse
App Service error response.
| Name | Type | Description |
|---|---|---|
| error |
Error model. |
Details
| Name | Type | Description |
|---|---|---|
| code |
string |
Standardized string to programmatically identify the error. |
| message |
string |
Detailed error description and debugging information. |
| target |
string |
Detailed error description and debugging information. |
Error
Error model.
| Name | Type | Description |
|---|---|---|
| code |
string |
Standardized string to programmatically identify the error. |
| details |
Details[] |
Detailed errors. |
| innererror |
string |
More information to debug error. |
| message |
string |
Detailed error description and debugging information. |
| target |
string |
Detailed error description and debugging information. |
ResourceMetricAvailability
Metrics availability and retention.
| Name | Type | Description |
|---|---|---|
| retention |
string |
Retention period for the current time grain. |
| timeGrain |
string |
Time grain . |
ResourceMetricDefinition
Metadata for the metrics.
| Name | Type | Description |
|---|---|---|
| id |
string |
Resource Id. |
| kind |
string |
Kind of resource. |
| name |
string |
Resource Name. |
| properties.metricAvailabilities |
List of time grains supported for the metric together with retention period. |
|
| properties.primaryAggregationType |
string |
Primary aggregation type. |
| properties.properties |
object |
Resource metric definition properties. |
| properties.resourceUri |
string |
Resource URI. |
| properties.unit |
string |
Unit of the metric. |
| type |
string |
Resource type. |
ResourceMetricDefinitionCollection
Collection of metric definitions.
| Name | Type | Description |
|---|---|---|
| nextLink |
string |
Link to next page of resources. |
| value |
Collection of resources. |